App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
mhr.appcore.image.layers.filter.LaplacianOfGaussianSharpenFilterLayerSpecificPresentation Class Reference

Třída zapouzdřující data pro kreslení pomocí CancelableTool. More...

Inheritance diagram for mhr.appcore.image.layers.filter.LaplacianOfGaussianSharpenFilterLayerSpecificPresentation:

## Public Member Functions
| LaplacianOfGaussianSharpenFilterLayerSpecificPresentation (double sigma, double force, boolean area)
| Výchozí konstruktor.

## Public Attributes
double | sigma
double | force
boolean | area

## Detailed Description

Třída zapouzdřující data pro kreslení pomocí CancelableTool.

Definition at line 9 of file LaplacianOfGaussianSharpenFilterLayerSpecificPresentation.java.

## Constructor & Destructor Documentation

mhr.appcore.image.layers.filter.LaplacianOfGaussianSharpenFilterLayerSpecificPresentation.LaplacianOfGaussianSharpenFilterLayerSpecificPresentation | ( | double | sigma,
|  | double | force,
|  | boolean | area
| ) |  |
| inline

Výchozí konstruktor.

Parameters

  action | Požadovaná akce.
  eventAtX | Souřadnice
  eventAtY | Souřadnice

Definition at line 22 of file LaplacianOfGaussianSharpenFilterLayerSpecificPresentation.java.

{
this.sigma = sigma;
this.force = force;
this.area = area;
}

## Member Data Documentation

boolean mhr.appcore.image.layers.filter.LaplacianOfGaussianSharpenFilterLayerSpecificPresentation.area

Definition at line 14 of file LaplacianOfGaussianSharpenFilterLayerSpecificPresentation.java.

double mhr.appcore.image.layers.filter.LaplacianOfGaussianSharpenFilterLayerSpecificPresentation.force

Definition at line 13 of file LaplacianOfGaussianSharpenFilterLayerSpecificPresentation.java.

double mhr.appcore.image.layers.filter.LaplacianOfGaussianSharpenFilterLayerSpecificPresentation.sigma

Definition at line 12 of file LaplacianOfGaussianSharpenFilterLayerSpecificPresentation.java.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/image/layers/filter/LaplacianOfGaussianSharpenFilterLayerSpecificPresentation.java